=== debian/changelog ===
kcoreaddons (5.44.0a-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)
  * Bump version for re-spun source tarball

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:56:38 +0000

kcoreaddons (5.43.0-0ubuntu2) bionic; urgency=medium

  * Disable expensive kdirwatch backend tests. These fail on ubuntu
    infra with out of space errors.
  * Skip failing kformattest test cases. Reported upstream.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 13 Feb 2018 00:23:19 +0000

kcoreaddons (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:14:20 +0000

kcoreaddons (5.42.0-0ubuntu1) bionic; urgency=medium

  * Rename libkf5coreaddons-bin-dev to libkf5coreaddons-dev-bin, as
    per debian changes
  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:20:24 +0000

kcoreaddons (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)
  * Updated symbols from build logs. 

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:03:48 -0600

kcoreaddons (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:15:28 +0000
