=== debian/rules ===
#!/usr/bin/make -f
 
include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5coreaddons5-dbg (<= 5.19.0-1~~)'

.PHONY: override_dh_auto_test
