=== debian/control ===
--- 
+++ 
@@ -3,16 +3,19 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 9),
-               extra-cmake-modules (>= 5.44.0~),
+Build-Depends: cmake (>= 3.0~),
+               debhelper (>= 11~),
+               doxygen (>= 1.8.13~),
+               extra-cmake-modules (>= 5.50.0~),
+               graphviz,
                libfam-dev,
+               libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.16~),
-               qtbase5-dev (>= 5.6.1~),
+               qtbase5-dev (>= 5.8.0~),
                qttools5-dev (>= 5.6.1~),
                qttools5-dev-tools (>= 5.6.1~),
-               shared-mime-info (>= 1.3)
-Standards-Version: 3.9.8
+               shared-mime-info (>= 1.3),
+Standards-Version: 4.1.4
 Homepage: http://projects.kde.org/kcoreaddons
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcoreaddons
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcoreaddons
@@ -39,11 +42,12 @@
 Section: libdevel
 Depends: libkf5coreaddons-dev-bin (= ${binary:Version}),
          libkf5coreaddons5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.6.1~),
+         qtbase5-dev (>= 5.8.0~),
          ${misc:Depends},
-         ${shlibs:Depends}
-Breaks: libkf5service-dev (<= 5.2.0), libkf5coreaddons-bin-dev (<< 5.42.0~)
-Replaces: libkf5service-dev (<= 5.2.0), libkf5coreaddons-bin-dev (<< 5.42.0~)
+         ${shlibs:Depends},
+Breaks: libkf5coreaddons-bin-dev (<< 5.42.0~), libkf5service-dev (<= 5.2.0)
+Replaces: libkf5coreaddons-bin-dev (<< 5.42.0~), libkf5service-dev (<= 5.2.0)
+Recommends: libkf5coreaddons-doc (= ${source:Version})
 Description: KDE Frameworks 5 addons to QtCore - development files
  KCoreAddons provides classes built on top of QtCore to perform various tasks
  such as manipulating mime types, autosaving files, creating backup files,
@@ -59,8 +63,8 @@
 Multi-Arch: foreign
 Section: libdevel
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkf5coreaddons-bin-dev, libkf5coreaddons-dev (<< 5.15.0-2~)
 Replaces: libkf5coreaddons-bin-dev, libkf5coreaddons-dev (<< 5.15.0-2~)
-Breaks: libkf5coreaddons-bin-dev, libkf5coreaddons-dev (<< 5.15.0-2~)
 Description: KDE Frameworks 5 addons to QtCore - development files
  KCoreAddons provides classes built on top of QtCore to perform various tasks
  such as manipulating mime types, autosaving files, creating backup files,
@@ -70,6 +74,21 @@
  This package is part of KDE Frameworks 5.
  .
  This package is an implementation detail for KCoreAddons.
+
+Package: libkf5coreaddons-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: ${misc:Depends}
+Description: KDE Frameworks 5 addons to QtCore (documentation)
+ KCoreAddons provides classes built on top of QtCore to perform various tasks
+ such as manipulating mime types, autosaving files, creating backup files,
+ generating random sequences, performing text manipulations such as macro
+ replacement, accessing user information and many more.
+ .
+ This package is part of KDE Frameworks 5.
+ .
+ This package contains the qch documentation files.
 
 Package: libkf5coreaddons5
 Architecture: any
