=== debian/control ===
--- 
+++ 
@@ -3,29 +3,29 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
+Build-Depends: cmake (>= 3.5~),
                debhelper (>= 11~),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.50.0~),
+               extra-cmake-modules (>= 5.54.0~),
                graphviz,
                libfam-dev,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.16~),
-               qtbase5-dev (>= 5.8.0~),
-               qttools5-dev (>= 5.6.1~),
-               qttools5-dev-tools (>= 5.6.1~),
+               qtbase5-dev (>= 5.9.0~),
+               qttools5-dev (>= 5.4),
+               qttools5-dev-tools (>= 5.4),
                shared-mime-info (>= 1.3),
 Standards-Version: 4.1.4
 Homepage: http://projects.kde.org/kcoreaddons
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcoreaddons
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcoreaddons
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcoreaddons
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcoreaddons.git
 
 Package: libkf5coreaddons-data
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: libkf5coreaddons-dev (<= 5.8.0-1)
 Breaks: libkf5coreaddons-dev (<= 5.8.0-1)
-Replaces: libkf5coreaddons-dev (<= 5.8.0-1)
 Description: KDE Frameworks 5 addons to QtCore - data files
  KCoreAddons provides classes built on top of QtCore to perform various tasks
  such as manipulating mime types, autosaving files, creating backup files,
@@ -37,16 +37,27 @@
  This package contains the arch independent files for KCoreAddons.
 
 Package: libkf5coreaddons-dev
+Section: libdevel
 Architecture: any
 Multi-Arch: same
-Section: libdevel
 Depends: libkf5coreaddons-dev-bin (= ${binary:Version}),
          libkf5coreaddons5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.8.0~),
+         qtbase5-dev (>= 5.9.0~),
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: libkf5coreaddons-bin-dev (<< 5.42.0~), libkf5service-dev (<= 5.2.0)
-Replaces: libkf5coreaddons-bin-dev (<< 5.42.0~), libkf5service-dev (<= 5.2.0)
+Replaces: libkf5coreaddons-bin-dev (<< 5.41), libkf5service-dev (<= 5.2.0)
+Breaks: baloo-kf5-dev (<< 5.54),
+        kded5-dev (<< 5.54),
+        libkf5auth-dev (<< 5.54),
+        libkf5coreaddons-bin-dev (<< 5.41),
+        libkf5crash-dev (<< 5.54),
+        libkf5guiaddons-dev (<< 5.54),
+        libkf5jobwidgets-dev (<< 5.54),
+        libkf5notifications-dev (<< 5.54),
+        libkf5package-dev (<< 5.54),
+        libkf5pty-dev (<< 5.54),
+        libkf5purpose-dev (<< 5.54),
+        libkf5service-dev (<< 5.54),
 Recommends: libkf5coreaddons-doc (= ${source:Version})
 Description: KDE Frameworks 5 addons to QtCore - development files
  KCoreAddons provides classes built on top of QtCore to perform various tasks
@@ -59,12 +70,12 @@
  This package contains the development files for KCoreAddons.
 
 Package: libkf5coreaddons-dev-bin
+Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Section: libdevel
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: libkf5coreaddons-bin-dev, libkf5coreaddons-dev (<< 5.15.0-2~)
 Breaks: libkf5coreaddons-bin-dev, libkf5coreaddons-dev (<< 5.15.0-2~)
-Replaces: libkf5coreaddons-bin-dev, libkf5coreaddons-dev (<< 5.15.0-2~)
 Description: KDE Frameworks 5 addons to QtCore - development files
  KCoreAddons provides classes built on top of QtCore to perform various tasks
  such as manipulating mime types, autosaving files, creating backup files,
@@ -78,7 +89,6 @@
 Package: libkf5coreaddons-doc
 Architecture: all
 Multi-Arch: foreign
-Section: doc
 Depends: ${misc:Depends}
 Description: KDE Frameworks 5 addons to QtCore (documentation)
  KCoreAddons provides classes built on top of QtCore to perform various tasks
@@ -89,6 +99,7 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the qch documentation files.
+Section: doc
 
 Package: libkf5coreaddons5
 Architecture: any
@@ -104,3 +115,77 @@
  replacement, accessing user information and many more.
  .
  This package is part of KDE Frameworks 5.
+Breaks: baloo-kf5 (<< 5.54),
+        frameworkintegration (<< 5.42),
+        kded5 (<< 5.54),
+        kdesignerplugin (<< 5.42),
+        kgendesignerplugin (<< 5.54),
+        kgendesignerplugin-bin (<< 5.54),
+        kinit (<< 5.54),
+        kio (<< 5.54),
+        kpackagelauncherqml (<< 5.54),
+        kpackagetool5 (<< 5.54),
+        kross (<< 5.54),
+        ktexteditor-katepart (<< 5.54),
+        libkf5auth5 (<< 5.54),
+        libkf5baloo5 (<< 5.54),
+        libkf5balooengine5 (<< 5.42),
+        libkf5bookmarks5 (<< 5.54),
+        libkf5configwidgets5 (<< 5.54),
+        libkf5crash5 (<< 5.54),
+        libkf5declarative5 (<< 5.42),
+        libkf5emoticons-bin (<< 5.54),
+        libkf5emoticons5 (<< 5.54),
+        libkf5globalaccel-bin (<< 5.54),
+        libkf5globalaccelprivate5 (<< 5.54),
+        libkf5iconthemes5 (<< 5.54),
+        libkf5jobwidgets5 (<< 5.54),
+        libkf5kcmutils5 (<< 5.54),
+        libkf5kdelibs4support5 (<< 5.54),
+        libkf5kdelibs4support5-bin (<< 5.54),
+        libkf5khtml-bin (<< 5.54),
+        libkf5khtml5 (<< 5.54),
+        libkf5kiocore5 (<< 5.54),
+        libkf5kiofilewidgets5 (<< 5.54),
+        libkf5kiogui5 (<< 5.54),
+        libkf5kiontlm5 (<< 5.54),
+        libkf5kiowidgets5 (<< 5.54),
+        libkf5krossui5 (<< 5.42),
+        libkf5mediaplayer5 (<< 5.42),
+        libkf5newstuff5 (<< 5.54),
+        libkf5newstuffcore5 (<< 5.54),
+        libkf5notifications5 (<< 5.54),
+        libkf5notifyconfig5 (<< 5.42),
+        libkf5package5 (<< 5.54),
+        libkf5parts-plugins (<< 5.54),
+        libkf5parts5 (<< 5.54),
+        libkf5people5 (<< 5.54),
+        libkf5peoplewidgets5 (<< 5.54),
+        libkf5plasma5 (<< 5.54),
+        libkf5plasmaquick5 (<< 5.54),
+        libkf5pty5 (<< 5.54),
+        libkf5purpose-bin (<< 5.54),
+        libkf5purpose5 (<< 5.54),
+        libkf5quickaddons5 (<< 5.54),
+        libkf5runner5 (<< 5.54),
+        libkf5service-bin (<< 5.54),
+        libkf5service5 (<< 5.54),
+        libkf5style5 (<< 5.42),
+        libkf5su-bin (<< 5.54),
+        libkf5su5 (<< 5.54),
+        libkf5texteditor5 (<< 5.54),
+        libkf5textwidgets5 (<< 5.54),
+        libkf5wallet-bin (<< 5.54),
+        libkf5webkit5 (<< 5.54),
+        libkf5xmlgui5 (<< 5.54),
+        libkf5xmlrpcclient5 (<< 5.54),
+        libkwalletbackend5-5 (<< 5.42),
+        plasma-framework (<< 5.54),
+        qml-module-org-kde-activities (<< 5.54),
+        qml-module-org-kde-extensionplugin (<< 5.28),
+        qml-module-org-kde-kcoreaddons (<< 5.54),
+        qml-module-org-kde-kio (<< 5.42),
+        qml-module-org-kde-newstuff (<< 5.42),
+        qml-module-org-kde-purpose (<< 5.54),
+        qml-module-org-kde-qqc2desktopstyle (<< 5.42),
+        qml-module-org-kde-runnermodel (<< 5.42),
