## kcoreaddons 5.54.0+rebuild

=== debian/changelog ===
kcoreaddons (5.54.0+rebuild-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 20 Jan 2021 12:59:43 +0800
