## kcoreaddons 5.56.0

=== debian/changelog ===
kcoreaddons (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:34:51 +0000

kcoreaddons (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:29:57 +0000

kcoreaddons (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:34:01 +0000

kcoreaddons (5.53.1-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * Update symbols from build logs.

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:47:49 +0000

kcoreaddons (5.53.0-0ubuntu2) UNRELEASED; urgency=medium

  * Drop upstream applied patch.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 03 Dec 2018 16:41:49 +0000

kcoreaddons (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * Install kcoreaddons.categories file.

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)
  * Refresh fix-kformattest-plural-forms.patch
  * Refresh kdirwatch-tests-method-specific.patch

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:41:23 +0000

kcoreaddons (5.51.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release (5.51.0)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Oct 2018 08:06:27 +0000
